DOMAINNAME(1)

NAME
domainname - set or display name of the current NIS domain

SYNOPSIS
domainname [ name-of-domain ]

DESCRIPTION

Without an argument, domainname displays the name of the current domain, which typically encompasses a group of hosts under the same administration. As such, the name of a Network Information Service (NIS) domain is normally also a valid Internet domain name, and can be used in conjunction with the sendmail(8) and the name server named(8C).

Only the super-user can set the name of the domain, by giving domainname an argument; this can be done only in the startup script /etc/rc.local.

SEE ALSO
named(8C), sendmail(8), ypinit(8)

NOTES

The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.